%define	version		0.150

Summary:  	Frontend for rdesktop for the GNOME2 platform
Name:     	tsclient
Version:  	%{version}
Release:  	%mkrel 5
License: 	GPL
Group:		Networking/Remote access
URL:		http://www.gnomepro.com/tsclient/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.132-translation.patch.bz2

Requires:	rdesktop >= 1.3
BuildRequires:	gnome-panel-devel
BuildRequires:	ImageMagick
BuildRequires:	gettext

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Also support vnc.

%prep
%setup -q
#%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icon
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 644       tsclient.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 tsclient.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 tsclient.png %{buildroot}%{_miconsdir}/%{name}.png

# menu

mkdir -p %{buildroot}%{_datadir}/applnk/Internet/
cat << EOF > %{buildroot}%{_datadir}/applnk/Internet/tsclient.desktop
[Desktop Entry]
Name=Terminal Server Client
Comment=Frontend for rdesktop
TryExec=%{name}
Exec=tsclient
Icon=%{name}
Terminal=0
Type=Application
EOF

%find_lang %name

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/tsclient
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/tsclient-applet
%{_datadir}/application-registry/tsclient.applications
%{_datadir}/applications/tsclient.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/applnk/Internet/tsclient.desktop
%{_mandir}/man1/*

%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.150-5mdv2009.0
+ Revision: 261654
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.150-4mdv2009.0
+ Revision: 254784
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.150-2mdv2008.1
+ Revision: 171148
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.150-1mdv2008.1
+ Revision: 132081
- New release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.148-1mdv2008.0
+ Revision: 29386
- Import tsclient



* Sun Jul 16 2006 Jerome Soyer <saispo@mandriva.org> 0.148-1mdv2007
- 0.148 release

* Mon Dec  5 2005 Antoine Ginies <aginies@mandriva.com> 0.140-1mdk
- 0.140 release

* Fri Mar 18 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 0.132-3mdk
- rebuild

* Thu Feb 19 2004 Abel Cheung <deaddog@deaddog.org> 0.132-2mdk
- Use ImageMagick to generate icons
- Patch0: Fix some b0rked translation files

* Mon Jan  5 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.132-1mdk
- release 0.132

* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.120-1mdk
- release 0.120

* Fri May 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.108-1mdk
- 0.108
- add all icons
- fix files list
 
* Fri Jan 10 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-3mdk
- transparent icon (padbol) 
* Tue Jan 07 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-2mdk
- correct icon path
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-1mdk
- new release 0.86
* Mon Nov 04 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.32-1mdk
- version 0.32
* Wed Oct 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-2mdk
- correct url tag
* Tue Oct 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-1mdk
- patch for -F rdesktop option
- first release for Mandrakesoft 
